﻿///Szlávi Péter
///ZDOF7J
///szlavip@elte.hu
///
///Feladat: az alábbi alapfogalmak demonstrálása.
///         (Ezekről a fogalmakról beszélgetünk a program kapcsán.)
///
///címke -- Label osztály
///         property-jei
///szövegdoboz -- TextBox osztály
///               property-jei
///felsorolás doboz -- ListBox osztály
///                    property-jei
///                    Click esemény
///képdoboz -- PictureBox osztály
///            property-jei
///üzenet-ablak -- MessageBox osztály
///                .Show művelet
///gomb -- Button osztály
///        Click esemény
///        Form.Close() művelet
///        
///b. változat: valójában nincsenek tagváltozók az 
///             egyes eseménykezelők között kapcsolat biztosításához.
///             Cserében biztosítva van az alaphelyzet hibamentes ellenőrzése
///             az előre definiált konstansokkal, és azok Load-kori helyre rakásával.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1b
{
    public partial class Form1 : Form
    {
        //tagváltozók: -----------------------------------------------------
        const string név0 = "Ide írd be a neved!";//a TextBox eredeti tartalma
        const string nem0 = "Neved?";//a ListBox első, kérdésalternatívája

        //tagfüggvények: ----------------------------------------------------

        public Form1()
        {
            InitializeComponent();
        }

        //eseménykezelők: ---------------------------------------
        private void Form1_Load(object sender, EventArgs e)
        {
            textBox1.Text = név0;//a textBox1 alaphelyzetbe hozása
            listBox1.Items[0] = nem0;//a listBox1 első, kérdésalternativájának beállítása
            //ha futás közben akarnám a listbox elemeit definiálni, akkor:
            //listBox1.Items.Add("hölgy"); listBox1.Items.Add("úr");
        }

        private void buttonKilép_Click(object sender, EventArgs e)
        {
            Close();//A form Close() tagfüggvényének a hívása
        }

        private void buttonKész_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox1.Text == név0 ||
                listBox1.Text == "" || listBox1.Text == nem0)//még nincs valódi név vagy nem
            {
                MessageBox.Show("A nevedet és a nemedet meg kell adnod!\n"+
                                "Valamelyik nem jó. Neved:\""+textBox1.Text+
                                "\", vagy nemed:\""+listBox1.Text+"\"");
            }
            else
            {
                if (listBox1.Text == "hölgy")
                {
                    MessageBox.Show("Helló, kedves " + textBox1.Text + ", hölgyem");
                }
                else
                {
                    MessageBox.Show("Helló, kedves " + textBox1.Text + ", uram!");
                }
            }
        }

        private void listBox1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(listBox1.Text);
        }

        private void listBox1_Leave(object sender, EventArgs e)
        {
            listBox1_Click(sender, e);
        }
    }
}
